Folliow Un projet de site web réaliser en PHP

Loading...
Searching...
No Matches
Authorisation Class Reference
Inheritance diagram for Authorisation:

## Public Member Functions
| __construct ()
| getId ()
| setId (int $id)
| getName ()
| setName (string $name)
Public Member Functions inherited from Mother
| hydrate (array $arrData)

## Additional Inherited Members
Protected Member Functions inherited from Mother
| nettoyer (string $strText)
Protected Attributes inherited from Mother
string | $_prefix = ''

## Detailed Description

Classe d'un objet Authorisation

Author
  Laura

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( |  | ) |

le constructeur de la table authorisation

## Member Function Documentation

## ◆ getId()

getId | ( |  | ) |

Récuperation de l'id du statut d'un utilisateur

Returns
  int l'id du statut

## ◆ getName()

getName | ( |  | ) |

Récuperation de l'intitulé du statut d'un utilisateur

Returns
  string l'intitulé du statut

## ◆ setId()

setId | ( | int | $id | ) |

Mise à jour de l'id du statut d'un utilisateur

Parameters

  int | le nouvelle id du statut

## ◆ setName()

setName | ( | string | $name | ) |

Mise à jour de l'intitulé du statut d'un utilisateur

Returns
  string le nouvel intitulé du statut

The documentation for this class was generated from the following file:

- C:/Users/Guill/projet_php/entities/Authorisation.php